org.apache.solr.client.solrj.io.eval

## Class ConditionalEvaluator

- java.lang.Object
- - org.apache.solr.client.solrj.io.eval.ComplexEvaluator
  - - org.apache.solr.client.solrj.io.eval.ConditionalEvaluator

All Implemented Interfaces:
  Serializable, StreamEvaluator, Expressible

Direct Known Subclasses:
  IfThenElseEvaluator

    public abstract class ConditionalEvaluator
    extends ComplexEvaluator

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static interface` `ConditionalEvaluator.BooleanChecker`
`static interface` `ConditionalEvaluator.Checker`

### Field Summary

Fields
`protected static long` `serialVersionUID`

### Fields inherited from class org.apache.solr.client.solrj.io.eval.ComplexEvaluator

`constructingFactory, nodeId, subEvaluators`

### Constructor Summary

Constructors
Constructor and Description
`ConditionalEvaluator(StreamExpression expression, StreamFactory factory)`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<Object>` `evaluateAll(Tuple tuple)`

### Methods inherited from class org.apache.solr.client.solrj.io.eval.ComplexEvaluator

`toExplanation, toExpression`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.solr.client.solrj.io.eval.StreamEvaluator

`evaluate`

### Field Detail

#### serialVersionUID

    protected static final long serialVersionUID

See Also:
  Constant Field Values

### Constructor Detail

#### ConditionalEvaluator

    public ConditionalEvaluator(StreamExpression expression,
                                StreamFactory factory)
                         throws IOException

Throws:
  `IOException`

### Method Detail

#### evaluateAll

    public List<Object> evaluateAll(Tuple tuple)
                             throws IOException

Throws:
  `IOException`